Subject: bug#3259: closed (Re: bug#4952: recognize URLs more)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Dec 2012 07:30:03 +0000

Your bug report

#4952: FFAP still living in the ASCII world

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4952: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4952
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4952: recognize URLs more
From: Chong Yidong <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 05 Dec 2012 15:28:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> How do I make ffap or emacs-w3m recognize that
> This：http://jidanni.org/ and
> this:http://jidanni.org/ are URLs, just like
> This: http://jidanni.org/ ?

Fixed in trunk, thanks.

Subject: FFAP still living in the ASCII world
From: [email-masked]
To: [email-masked]
Date: Tue, 12 May 2009 06:10:14 +0800

Put your cursor on the URL in "　http://adblockplus.org/blog/  "
and hit C-x C-f. Why can't FFAP deal with it? Because FFAP is still
living in the ASCII world, and needs to be beefed up.

There are too many things a URL might be embedded in. Please make FFAP
just match http........ don't worry about what is before it. There is
nobody named Carlton Httpsford, OK? The Nilton Phartphttparts are few,
don't fear. With colons fewer.

What I'm trying to say is that day after day, I run into
（台北市羅斯福路四段85號B1）http://www.meeting.com.tw/fr_contact_1.asp
◆會議資訊：http://aspa.teldap.tw/
文章（http://adblockplus.org/blog/） and can't FFAP them.
文章(http://adblockplus.org/blog/) leaves a ) residue in the URL.
just don't worry about what comes before the http etc. The list is endless...
 1.﹛ 2.｛ 3.︷
 1.｜ 2.∣ 3.︳ 4.│ 5.∥
 1.﹜ 2.｝ 3.︸
 1.﹏ 2.～ 3.∞
 1.﹝ 2.【 3.︻
 1.＼ 2.﹨ 3.／ 4.∕
 1.﹞ 2.】 3.︼
 1.〈 2.﹤ 3.《 4.︽ 5.︿ 6.≦
 1.〉 2.﹥ 3.》 4.︾ 5.﹀ 6.≧
 1.（ 2.〔 3.﹙ 4.︵ 5.︹ 6.「 7.『 8.﹂ 9.﹄
 1.） 2.〕 3.﹚ 4.︶ 5.︺ 6.」 7.』 8.﹁ 9.﹃